Subject: Is AVI Publishers still around?

From: [email-masked] (Randall F Wilkinson)
Date: Tue, 10 Sep 1996 00:42:13 GMT

I am trying to contact AVI Publishers who used to publish Food Science
by Norman Potter and other food tech titles  I'd like to purchase that
title in various languages, if available.  But,  I can't get a phone
number for AVI in Westport, CT.  Looking further, it seems that
Routeledge Publishing in the UK may be printing it now but I can't get
their address either.

Any one out there who can tell me who to contact.  THANX !
--
*===> Randy Wilkinson <[email-masked]> <===*
       http://www.pobox.com/~wilkinsons
 (...with all thy getting, get understanding)